API ReferenceCompanions

/public/companions/napster-stock

Returns a list of Napster's pre-built stock companions. These are ready-made companions provided by Napster that you can use as starting points or deploy directly.

GET
/public/companions/napster-stock

Returns a list of Napster's pre-built stock companions. These are ready-made companions provided by Napster that you can use as starting points or deploy directly.

Query Parameters

ethnicity?string
gender?string
Value in"male" | "female" | "nonBinary"
search?string
tags?
pageIndex?integer
Formatint32
pageSize?integer
Formatint32

Header Parameters

X-API-Version?string

Response Body

application/problem+json

application/problem+json

application/json

application/json

curl -X GET "https://companion-api.napster.com/public/companions/napster-stock"
{
  "items": [
    {
      "id": "string",
      "firstName": "string",
      "lastName": "string",
      "previewUrl": "string",
      "videoLoopUrl": "string",
      "ethnicity": "string",
      "gender": "string",
      "headline": "string",
      "tags": {
        "property1": "string",
        "property2": "string"
      },
      "status": "pending",
      "createdAt": 0,
      "externalClientId": "string",
      "versions": [
        "v1"
      ]
    }
  ],
  "filteredCount": 0,
  "totalCount": 0,
  "pageIndex": 0,
  "pageSize": 0,
  "search": "string"
}
{
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}